## libonvif-dmo 3.1.10

=== libonvif/CMakeLists.txt ===
#*******************************************************************************
# libonvif/libonvif/CMakeLists.txt
#
# Copyright (c) 2023, 2024 Stephen Rhodes 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
#******************************************************************************/

cmake_minimum_required(VERSION 3.17)

project(libonvif VERSION 3.2.7)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if (DEFINED ENV{LIBXML2_INCLUDE_DIRS})
    set(LIBXML2_INCLUDE_DIRS $ENV{LIBXML2_INCLUDE_DIRS})
    set(LIBXML2_LIBRARIES $ENV{LIBXML2_LIBRARIES})
else()
    find_package(LibXml2 REQUIRED)
endif()

add_subdirectory(pybind11)

pybind11_add_module(pyonvif
    src/onvif.cpp
    src/onvif.c
    src/cencode.c
    src/sha1.c
)

set_target_properties(pyonvif PROPERTIES
    OUTPUT_NAME libonvif
)

target_link_libraries(pyonvif PRIVATE
    ${LIBXML2_LIBRARIES}
)

message("-- LIBXML2_INCLUDE_DIRS: " ${LIBXML2_INCLUDE_DIRS})
message("-- LIBXML2_LIBRARIES: " ${LIBXML2_LIBRARIES})

target_include_directories(pyonvif PUBLIC
    include
    ${LIBXML2_INCLUDE_DIRS}
)

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    set_target_properties(pyonvif PROPERTIES
        BUILD_RPATH "$ORIGIN"
        BUILD_RPATH_USE_ORIGIN TRUE
        INSTALL_RPATH "$ORIGIN"
        INSTALL_RPATH_USE_ORIGIN TRUE
    )
endif()

=== onvif-util/CMakeLists.txt ===
#*******************************************************************************
# libonvif/onvif-util/CMakeLists.txt
#
# Copyright (c) 2022, 2025 Stephen Rhodes 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
#******************************************************************************/

cmake_minimum_required(VERSION 3.17)

project(onvif-util VERSION 1.4.7)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if (DEFINED ENV{LIBXML2_INCLUDE_DIRS})
    set(LIBXML2_INCLUDE_DIRS $ENV{LIBXML2_INCLUDE_DIRS})
    set(LIBXML2_LIBRARIES $ENV{LIBXML2_LIBRARIES})
else()
    find_package(LibXml2 REQUIRED)
endif()

add_library(libonvif STATIC SHARED
    ../libonvif/src/onvif.c
    ../libonvif/src/cencode.c
    ../libonvif/src/sha1.c
)

target_link_libraries(libonvif PRIVATE
    ${LIBXML2_LIBRARIES}
)

if (UNIX)
    set_target_properties(libonvif PROPERTIES
        OUTPUT_NAME onvif
        SOVERSION 1
    )
endif()

target_include_directories(libonvif PUBLIC
    ../libonvif/include
    ${LIBXML2_INCLUDE_DIRS}
)

add_executable(onvif-util
    src/onvif-util.cpp
)

target_link_libraries(onvif-util PRIVATE
    libonvif
)

=== debian/changelog ===
libonvif-dmo (3.1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Aug 2025 08:36:44 +0200

libonvif-dmo (3.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Jul 2025 01:27:00 +0200

libonvif-dmo (3.0.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 09:27:33 +0200

libonvif-dmo (2.4.5-dmo3) unstable; urgency=medium

  * Should Build-Depends on python3-setuptools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Mar 2025 16:36:20 +0100

libonvif-dmo (2.4.5-dmo2) unstable; urgency=medium

  * Relax python3-onvif version dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Mar 2025 12:18:31 +0100

libonvif-dmo (2.4.5-dmo1+b1) unstable; urgency=medium

  * Build with latest python3-pyqt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Mar 2025 11:45:20 +0100

libonvif-dmo (2.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jan 2025 09:16:17 +0100

libonvif-dmo (2.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 17:09:10 +0100

libonvif-dmo (2.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 13:31:39 +0100

libonvif-dmo (2.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Jan 2025 09:35:26 +0100

libonvif-dmo (2.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 18:11:02 +0100

libonvif-dmo (2.3.2-dmo2) unstable; urgency=medium

  * Remove unneeded python3-torchvision, libavcodec-dev and libavdevice-dev
    from Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2024 08:21:06 +0100

libonvif-dmo (2.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Nov 2024 09:09:54 +0100

libonvif (1.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062496

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:28:08 +0000

libonvif (1.4.4-1) unstable; urgency=medium

  * Update release (Supersedes version 1.4.3-1).
  * Add record function
  * Add file management

  * Upload sponsored by Petter Reinholdtsen.

 -- Stephen Rhodes <sr99622@gmail.com>  Thu, 05 Jan 2023 09:46:30 +0100

libonvif (1.4.3-1) unstable; urgency=medium

  * Second release (Supersedes version 1.4.2-1).
  * Add custom gui
  * Add network selector
  * Bug fixes

  * Upload sponsored by Petter Reinholdtsen.

 -- Stephen Rhodes <sr99622@gmail.com>  Sat, 17 Dec 2022 07:06:30 +0100

libonvif (1.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1021980).

  * Upload sponsored by Petter Reinholdtsen.

 -- Stephen Rhodes <sr99622@gmail.com>  Tue, 18 Oct 2022 10:35:17 +0200

=== debian/control ===
Source: libonvif-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sr99622/libonvif/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev, quilt,
 pybuild-plugin-pyproject, cmake, libxml2-dev, libsdl2-dev, pybind11-dev,
 python3-loguru, python3-opencv, python3-liblivemedia, python3-kankakee,
 python3-avio (>= 3.2.5~), python3-setuptools,

## python3-pyside6.qtwidgets,

Package: python3-onvif
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: ONVIF IP camera command line and GUI tools
 The command line tool discover will find compatible cameras on the local
 network and query each of them for their RSTP connection.
 The GUI tool onvif allow configuration of detected cameras.

Package: onvif-gui
Section: utils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: ONVIF IP camera GUI
 The command line tool discover will find compatible cameras on the local
 network and query each of them for their RSTP connection.
 The GUI tool onvif allow configuration of detected cameras.

#Package: onvif-tools
#Section: utils
#Architecture: any
#Multi-Arch: foreign
#Depends: ${shlibs:Depends}, ${misc:Depends},
#Recommends: ffplay | vlc
#Description: ONVIF IP camera command line and GUI tools
# The command line tool discover will find compatible cameras on the local
# network and query each of them for their RSTP connection.
# The GUI tool onvif allow configuration of detected cameras.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -Dlibonvif -Spybuild -Bbuild-libonvif
	dh_auto_build -Dlibonvif -Spybuild -Bbuild-libonvif
	dh_auto_install -Dlibonvif -Spybuild -Bonvif-gui --destdir=debian/python3-onvif

	rm -rf .pybuild

	dh_auto_configure -O-Donvif-gui -O-Spybuild -Bbuild-onvif-gui
	dh_auto_build -Donvif-gui -Spybuild -Bbuild-onvif-gui
	dh_auto_install -Donvif-gui -Spybuild -Bbuild-onvif-gui --destdir=debian/onvif-gui

#	rm -rf .pybuild

#	dh_auto_configure -O-Scmake -Bbuild-onvif-util
#	dh_auto_build -Scmake -Bbuild-onvif-util
#	dh_auto_install -Scmake -Bbuild-onvif-gui --destdir=onvif-tools

override_dh_prep override_dh_auto_build override_dh_auto_install override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/sr99622/libonvif/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## libonvif-dmo 3.3.4

=== libonvif/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 cmake_minimum_required(VERSION 3.17)
 
-project(libonvif VERSION 3.2.7)
+project(libonvif VERSION 3.2.8)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)

=== onvif-util/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 cmake_minimum_required(VERSION 3.17)
 
-project(onvif-util VERSION 1.4.7)
+project(onvif-util VERSION 1.4.9)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
@@ -33,7 +33,7 @@
     find_package(LibXml2 REQUIRED)
 endif()
 
-add_library(libonvif STATIC SHARED
+add_library(libonvif STATIC
     ../libonvif/src/onvif.c
     ../libonvif/src/cencode.c
     ../libonvif/src/sha1.c

=== debian/changelog ===
libonvif-dmo (3.3.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Jan 2026 00:05:25 +0100

libonvif-dmo (3.1.10-dmo4) unstable; urgency=medium

  * Add onvif-tools package

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Sep 2025 08:22:31 +0200

libonvif-dmo (3.1.10-dmo3) unstable; urgency=medium

  * Really build with libxml2-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Sep 2025 01:44:55 +0200

libonvif-dmo (3.1.10-dmo2) unstable; urgency=medium

  * Build with libxml2-13

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Aug 2025 19:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libonvif-dmo
 Section: libs
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/sr99622/libonvif/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev, quilt,
- pybuild-plugin-pyproject, cmake, libxml2-dev, libsdl2-dev, pybind11-dev,
+ pybuild-plugin-pyproject, cmake, libxml2-dev (>= 2.14.5~), libsdl2-dev, pybind11-dev,
  python3-loguru, python3-opencv, python3-liblivemedia, python3-kankakee,
  python3-avio (>= 3.2.5~), python3-setuptools,
 
@@ -30,13 +29,14 @@
  network and query each of them for their RSTP connection.
  The GUI tool onvif allow configuration of detected cameras.
 
-#Package: onvif-tools
-#Section: utils
-#Architecture: any
-#Multi-Arch: foreign
-#Depends: ${shlibs:Depends}, ${misc:Depends},
-#Recommends: ffplay | vlc
-#Description: ONVIF IP camera command line and GUI tools
-# The command line tool discover will find compatible cameras on the local
-# network and query each of them for their RSTP connection.
-# The GUI tool onvif allow configuration of detected cameras.
+Package: onvif-tools
+Section: utils
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Recommends: ffplay | vlc
+Description: ONVIF IP camera command line
+ The command line tool discover will find compatible cameras on the local
+ network and query each of them for their RSTP connection.
+ .
+ The GUI tool onvif allow configuration of detected cameras.
